%global mod_name script-security-plugin
%global short_name script-security
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-script-security-plugin
Version:        1.15
Release:        1%{?dist}
Summary:        Jenkins Script Security Plugin

# from POM
License:        MIT
URL:            https://github.com/jenkinsci/script-security-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
Source1:        LICENSE

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.kohsuke:groovy-sandbox)

BuildArch:      noarch

%description
This plugin allows Jenkins administrators to control what in-process
scripts can be run by less-privileged users.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{short_name}-plugin-%{short_name}-%{version}

find . -name "*.jar" -delete
cp %{SOURCE1} .

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing org.jenkins-ci:test-annotations
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 04 2015 Michal Srb <msrb@redhat.com> - 1.15-1
- Update to 1.15

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 02 2015 Michal Srb <msrb@redhat.com> - 1.14-1
- Update to 1.14
- Fix URL

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.13-3
- Migrate to .hpi with symlinks

* Tue Mar 31 2015 Michal Srb <msrb@redhat.com> - 1.13-2
- Install as a plugin

* Mon Mar 30 2015 Michal Srb <msrb@redhat.com> - 1.13-1
- Initial packaging

